%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function code = fast_convenc(msg)
    outputs = [
             0     7
     7     0
     4     3
     3     4
     1     6
     6     1
     5     2
     2     5
     6     1
     1     6
     2     5
     5     2
     7     0
     0     7
     3     4
     4     3
     7     0
     0     7
     3     4
     4     3
     6     1
     1     6
     2     5
     5     2
     1     6
     6     1
     5     2
     2     5
     0     7
     7     0
     4     3
     3     4
     3     4
     4     3
     7     0
     0     7
     2     5
     5     2
     6     1
     1     6
     5     2
     2     5
     1     6
     6     1
     4     3
     3     4
     0     7
     7     0
     4     3
     3     4
     0     7
     7     0
     5     2
     2     5
     1     6
     6     1
     2     5
     5     2
     6     1
     1     6
     3     4
     4     3
     7     0
     0     7];
    nextstates = [
     0    32
     0    32
     1    33
     1    33
     2    34
     2    34
     3    35
     3    35
     4    36
     4    36
     5    37
     5    37
     6    38
     6    38
     7    39
     7    39
     8    40
     8    40
     9    41
     9    41
    10    42
    10    42
    11    43
    11    43
    12    44
    12    44
    13    45
    13    45
    14    46
    14    46
    15    47
    15    47
    16    48
    16    48
    17    49
    17    49
    18    50
    18    50
    19    51
    19    51
    20    52
    20    52
    21    53
    21    53
    22    54
    22    54
    23    55
    23    55
    24    56
    24    56
    25    57
    25    57
    26    58
    26    58
    27    59
    27    59
    28    60
    28    60
    29    61
    29    61
    30    62
    30    62
    31    63
    31    63];
    code = convcore(msg,1,3,64,outputs,nextstates,0);
end
