%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function c = get_c(C_init, size_c)
% E.g. C_init=(2^10)*(7*(N_s+1) + l + 1)*(2*N_ID+1)+2*N_ID+N_CP;

c = zeros(size_c, 1);

% Initialize x1 and x2
Nc=1600;

x1=zeros(Nc+size_c,1);
x2=zeros(Nc+size_c,1);

x1(1) = 1;
x2_temp = str2num(reshape(dec2bin(C_init, 31), [], 1));
x2(1:31)=x2_temp(31:-1:1);
for ii=1:Nc+size_c-31
    x1(ii+31) = mod((x1(ii+3) + x1(ii)), 2);
    x2(ii+31) = mod((x2(ii+3) + x2(ii+2) + x2(ii+1) + x2(ii)), 2);
end

for ii=1:size_c
    c(ii) = mod((x1(ii+Nc)+x2(ii+Nc)), 2);
end

end
