%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [subframe_start, subframe_num] = get_closest_subframe_start(offset, subframe0_starts)
    subframe_len = 7680*2;    
    closest_subframe0 = subframe0_starts(find(subframe0_starts <= offset, 1, 'last' ));    
    subframe_num = floor((offset - closest_subframe0) / subframe_len);
    subframe_start = closest_subframe0 + subframe_len * subframe_num;    
end
