%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function r_lns=get_r_lns(N_ID,l, N_s)
Nrb_max=110;
Nc=1600;
N_CP=1; % 0 for extended CP & 1 for normal CP
r_lns=zeros(2*Nrb_max,1);
x1=zeros(Nc+4*Nrb_max,1);
x2=zeros(Nc+4*Nrb_max,1);
C_init=(2^10)*(7*(N_s+1) + l + 1)*(2*N_ID+1)+2*N_ID+N_CP;
c = zeros(4*Nrb_max, 1);

% Initialize x1 and x2
x1(1) = 1;
x2_temp = str2num(reshape(dec2bin(C_init, 31), [], 1));
x2(1:31)=x2_temp(31:-1:1);
for ii=1:Nc+4*Nrb_max-31
   x1(ii+31) = mod((x1(ii+3) + x1(ii)), 2);
   x2(ii+31) = mod((x2(ii+3) + x2(ii+2) + x2(ii+1) + x2(ii)), 2);
end

for ii=1:4*Nrb_max
    c(ii) = mod((x1(ii+Nc)+x2(ii+Nc)), 2);
end

for ii=0:2*Nrb_max-1
    r_lns(ii+1) = (1-2*c(2*ii+1)) + 1i*(1-2*c(2*ii+2));
end

r_lns = r_lns/sqrt(2);
