%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function complex_data = invert_channel_complex(x0, x1, frame_num, slot_num, subframe0_starts, pdch_indices)
    complex_data0 = invert_channel_siso_complex(x0, frame_num, slot_num, subframe0_starts, pdch_indices);
    complex_data1 = invert_channel_siso_complex(x1, frame_num, slot_num, subframe0_starts, pdch_indices);
    complex_data = (complex_data0 + complex_data1)/2;
end
