%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% READ_AND_INTERPOLATE_ARBITRARY Read complex I/Q samples from file 
% Requires: File name, Start index, # of samples, bandwidth of receiver
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function y = read_and_interpolate_arbitrary(filename, start, count, inbw)
    if (nargin < 2)
    start = 0;
    count = Inf;
    end
  
    x = read_complex_binary_samples(filename, start, count);
    %t=(0:length(x)-1).'; 
    %tt=(0:inbw/15.36:length(x)-inbw/15.36).';    
    %y=nakeinterp1(t,x,tt).';    
    
    %t=(0:length(x)-1); 
    %tt=(0:1/3:length(x));    
    %x2=spline(t,x,tt);    
    %y=interp_signal(x2,3*inbw,15.36);  
    y=interp_signal_fast(x,inbw,15.36);  
end
