%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

cces = [ 0:(Nreg-1) ];
ny = ceil(length(cces)/32);
nnans = ny*32-length(cces);
cces = [NaN*ones(nnans, 1).' cces];
cces = reshape(cces, 32, ny).';
p = [1,17,9,25,5,21,13,29,3,19,11,27,7,23,15,31, ...
0,16,8,24,4,20,12,28,2,18,10,26,6,22,14,30];
cces_bkup = cces;
for ii = 1:ny
    cces(ii, :) = cces_bkup(ii, p+1);
end

A=cces(:);
cces_fin = A(~isnan(A));

% Important: Perform cyclic shift based on cell ID
cce_offset = mod(Ncellid+1, Nreg);
cces_fin = cces_fin([cce_offset:length(cces_fin), 1:cce_offset-1]);

Nreg_actual = floor(Nreg/9)*9;
R = zeros(1, Nreg_actual);
for ii=1:Nreg_actual
    R(ii) = find(cces_fin == ii-1)-1;
end

cces_order = R;


