%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [S,C,Z]=generateSSS(Rs,Rc,Rz)
Sx=zeros(31,1);
Cx=zeros(31,1);
Zx=zeros(31,1);
Sx(5)=1;
Cx(5)=1;
Zx(5)=1;
for i=6:31
    Sx(i)=mod(Sx(i-3)+Sx(i-5),2);
    Cx(i)=mod(Cx(i-2)+Cx(i-5),2);
    Zx(i)=mod(Zx(i-1)+Zx(i-3)+Zx(i-4)+Zx(i-5),2);
end
S=1-2*circshift(Sx,-Rs);
C=1-2*circshift(Cx,-Rc);
Z=1-2*circshift(Zx,-mod(Rz,8));
end
