%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function v = read_complex_binary_samples(filename, start, count)

  m = nargchk (1,3,nargin);
  if (m)
    usage (m);
  end

  if (nargin < 2)
    start = 0;
    count = Inf;
  end

  v = read_complex_binary(filename, start*8, count);
end
