%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2014 Swarun Kumar, (swarun at mit.edu)
% This project is Licensed under the MIT License (see LICENSE.txt)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function out=sort_lm(ind1, ind2, Ncellid)
    ii=1;
    jj=1;
    kk=1;
    cellcond = (mod(Ncellid, 3) == 0);
    out = zeros(size(ind1,1)+size(ind2,1), 2);
    while(ii<=length(ind1) || jj<=length(ind2))
        if(ii<=length(ind1) && jj<=length(ind2))
            off1 = ((ind1(ii,2)==1) & cellcond);
            off2 = ((ind2(jj,2)==1) & cellcond);
            if(ind1(ii, 1) - off1 <= ind2(jj, 1) - off2)
                out(kk:kk+3, :)=ind1(ii:ii+3, :);
                kk=kk+4;
                ii=ii+4;
            else
                out(kk:kk+3, :)=ind2(jj:jj+3, :);
                kk=kk+4;
                jj=jj+4;
            end        
        elseif(ii<=length(ind1))            
            out(kk:kk+3, :)=ind1(ii:ii+3, :);
            kk=kk+4;
            ii=ii+4;
        else
            out(kk:kk+3, :)=ind2(jj:jj+3, :);
            kk=kk+4;
            jj=jj+4;            
        end
    end    
end
